GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
json_string.c File Reference
`#include <string.h>`
`#include <stdlib.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include "src/core/json/json.h"`
`#include "src/core/json/json_reader.h"`
`#include "src/core/json/json_writer.h"`

## Data Structures
struct | json_reader_userdata
struct | json_writer_userdata

## Macros
#define | UNBOUND_JSON_STRING_LENGTH 0x7fffffff

## Functions
grpc_json * | grpc_json_parse_string_with_len (char *input, size_t size)
grpc_json * | grpc_json_parse_string (char *input)
char * | grpc_json_dump_to_string (grpc_json *json, int indent)

## Macro Definition Documentation

#define UNBOUND_JSON_STRING_LENGTH 0x7fffffff

## Function Documentation

char* grpc_json_dump_to_string | ( | grpc_json * | json,
|  | int | indent
| ) |  |

grpc_json* grpc_json_parse_string | ( | char * | input | ) |

grpc_json* grpc_json_parse_string_with_len | ( | char * | input,
|  | size_t | size
| ) |  |